For the complete documentation index, see llms.txt. This page is also available as Markdown.

Instruction Batches API Reference

Get Instruction Batches

get

List of Instruction Batches

Authorizations
cdpapi-Subscription-KeystringRequired
Query parameters
batchDateDateTimeRequired

Date to retrieve Instruction Batch List

Responses
200

List of Instruction Batches for the supplied date

application/json
get/
GET /instruction-batches/?batchDate=null HTTP/1.1
Host: api.sandbox.flagstoneim.com
cdpapi-Subscription-Key: YOUR_API_KEY
Accept: */*
200

List of Instruction Batches for the supplied date

{
  "instructionBatches": [
    {
      "instructionType": "deposit",
      "instructionBatchTotalAmount": 300.15,
      "instructionBatchId": "50",
      "instructionBatchStatus": "open",
      "currencyCode": "GBP"
    },
    {
      "instructionType": "withdrawl",
      "instructionBatchTotalAmount": 96.15,
      "instructionBatchId": "49",
      "instructionBatchStatus": "open",
      "currencyCode": "GBP"
    },
    {
      "instructionType": "deposit",
      "instructionBatchTotalAmount": 96472.15,
      "instructionBatchId": "48",
      "instructionBatchStatus": "locked",
      "currencyCode": "GBP"
    },
    {
      "instructionType": "withdrawl",
      "instructionBatchTotalAmount": 30964.15,
      "instructionBatchId": "47",
      "instructionBatchStatus": "locked",
      "currencyCode": "GBP"
    },
    {
      "instructionType": "deposit",
      "instructionBatchTotalAmount": 17296.15,
      "instructionBatchId": "46",
      "instructionBatchStatus": "completed",
      "currencyCode": "GBP"
    },
    {
      "instructionType": "withdrawl",
      "instructionBatchTotalAmount": 6759.15,
      "instructionBatchId": "45",
      "instructionBatchStatus": "completed",
      "currencyCode": "GBP"
    }
  ]
}

Get Instruction Summaries

get

Get a summary of instrution batches

Authorizations
cdpapi-Subscription-KeystringRequired
Path parameters
instructionBatchIdanyRequired

The Id of the Instruction Batch

instructionFilterType · enumRequired

The type of instructions to get either 'All' or 'Closure'

Default: ""Possible values:
Query parameters
pageNumberint · enumOptional

Number of page to be retrieved

Default: 1Possible values:
pageSizeint · enumOptional

The amount of records to be returned

Default: 50Possible values:
Responses
200

Returns the list of instruction summaries

application/json
pageNumberintegerOptional

Number of the page returned

pageSizeintegerOptional

The number of records on the page returned

pageCountintegerOptional

Total number of pages

get/{instructionBatchId}/instruction-summary/{instructionFilterType}
GET /instruction-batches/{instructionBatchId}/instruction-summary/{instructionFilterType} HTTP/1.1
Host: api.sandbox.flagstoneim.com
cdpapi-Subscription-Key: YOUR_API_KEY
Accept: */*
{
  "instructionSummaries": [
    {
      "instructionReference": "5d1abeac-7a8e-4ab9-9ba4-c574a75414aa",
      "instructionAmount": 100.35,
      "currencyCode": "GBP",
      "dateToBeActionedUTC": "2022-04-20"
    }
  ],
  "pageNumber": 1,
  "pageSize": 50,
  "pageCount": 1
}

Get References forn a Instruction Batch

get

Gets a List if Instructions Refferences for a Given Instructions Batch.

Note this will return empty if the Instruction batch is in a Compelted State.

Authorizations
cdpapi-Subscription-KeystringRequired
Path parameters
idstringRequired

Id of the instruction batch to fetch refernces for

Query parameters
pageNumberintRequired

Page number of refrences to fetch

pageSizeintOptional

Page size of list to fetch

Responses
200

List of references

application/json
referencesstring[]Optional
pageNumberintegerOptional
pageSizeintegerOptional
pageCountintegerOptional
get/{id}/references
GET /instruction-batches/{id}/references?pageNumber=null HTTP/1.1
Host: api.sandbox.flagstoneim.com
cdpapi-Subscription-Key: YOUR_API_KEY
Accept: */*
{
  "references": [
    "5d1abeac-7a8e-4ab9-9ba4-c574a75414aa",
    "5dcc6e14-0fc8-4aef-bb1e-013c41508dc8",
    "a1a0a4ba-1710-4dda-afb3-afbcbf93b799",
    "dfecf029-f750-4108-a199-347ae47e1a3c",
    "c2660379-b8d4-46cf-a844-429c5e0474d3",
    "c6935218-b676-4b6b-bedd-70b5b145af99",
    "3f740c54-335d-4ecc-a1d9-57b664698b8a",
    "f270c998-2cbd-45d3-abdc-4afd56b96867",
    "06ca0914-2a95-4e50-8e02-93cd2e2c4991",
    "43ee77a7-5e2b-447a-bdc0-248d38d9f77b"
  ],
  "pageNumber": 1,
  "pageSize": 50,
  "pageCount": 1
}

Update Instruction Batches

post

Update the Status of Instruction Batches

Authorizations
cdpapi-Subscription-KeystringRequired
Body
InstructionBatchStatusstringRequired

The Status to udpate the batches to i.e. Closed

Responses
204

Request was successfully compelted

No content

post/batch-update
POST /instruction-batches/batch-update HTTP/1.1
Host: api.sandbox.flagstoneim.com
cdpapi-Subscription-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 212

{
  "InstructionBatchStatus": "Closed",
  "InstructionBatches": [
    {
      "InstructionBatchId": "4659",
      "TotalAmount": 12650231.02,
      "TotalNoticeAmount": 0
    },
    {
      "InstructionBatchId": "4565",
      "TotalAmount": 567321.27,
      "TotalNoticeAmount": 0
    }
  ]
}

No content

Last updated